# -*- coding: utf-8 -*-

# Copyright (c) 2005 - 2006 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a CSS lexer with some additional methods.
"""

from qtext import QextScintillaLexerCSS
from qt import *

from Lexer import Lexer

class LexerCSS(QextScintillaLexerCSS, Lexer):
    """ 
    Subclass to implement some additional lexer dependant methods.
    """
    def __init__(self, parent=None, name=None):
        """
        Constructor
        
        @param parent parent widget of this lexer
        @param name name of this lexer
        """
        QextScintillaLexerCSS.__init__(self, parent, name)
        Lexer.__init__(self)
        
        self.commentString = QString("##")
        self.streamCommentString = {
            'start' : QString('/* '),
            'end'   : QString(' */')
        }
